## org.aspectj.weaver.loadtime
Interface ClassPreProcessor

All Known Implementing Classes:
  Aj

    public interface ClassPreProcessor

Generic class pre processor interface that allows to separate the AspectJ 5 load time weaving from Java 5 JVMTI interfaces for further use on Java 1.3 / 1.4

Author:
  Alexandre Vasseur

Method Summary
`void` `initialize()` Post constructor initialization, usually empty
`byte[]` `preProcess(java.lang.String className, byte[] bytes, java.lang.ClassLoader classLoader)` Weave

Method Detail

### initialize

    void initialize()

  Post constructor initialization, usually empty

### preProcess

    byte[] preProcess(java.lang.String className,
                      byte[] bytes,
                      java.lang.ClassLoader classLoader)

  Weave

  Parameters:
    `className` -
    `bytes` -
    `classLoader` -
  Returns: